***

title: update
slug: /reference/typescript/rest/fabric/cxml-applications/update
description: Replace a cXML application resource.
max-toc-depth: 3
---------------------

For a complete index of all SignalWire documentation pages, fetch https://signalwire.com/docs/llms.txt

Replace a cXML application resource. Uses PUT, so the full resource body must be provided.

<EndpointSchemaSnippet endpoint="PUT /api/fabric/resources/cxml_applications/{id}" />

## **Response Example**

<EndpointResponseSnippet endpoint="PUT /api/fabric/resources/cxml_applications/{id}" />

## **Example**

```typescript {9}
import { RestClient } from "@signalwire/sdk";

const client = new RestClient({
  project: "your-project-id",
  token: "your-api-token",
  host: "your-space.signalwire.com",
});

const updated = await client.fabric.cxmlApplications.update("app-id", {
  display_name: "updated-cxml-app",
});
console.log("Updated:", updated.display_name);
```